Name: dfimagetools
Version: 20240317
Release: 1
Group: Development/Libraries
License: Apache License, Version 2.0
Summary: Storage media image tools
Url: https://github.com/log2timeline/dfimagetools
Vendor: Log2Timeline maintainers
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python3-devel, pyproject-rpm-macros, python3-pip, python3-setuptools, python3-wheel

%{?python_disable_dependency_generator}

%description
Collection of tools to process storage media images.

%package -n python3-%{name}
Requires: libbde-python3 >= 20220121, libcaes-python3 >= 20240114, libcreg-python3 >= 20200725, libewf-python3 >= 20131210, libfcrypto-python3 >= 20240114, libfsapfs-python3 >= 20220709, libfsext-python3 >= 20220829, libfsfat-python3 >= 20220925, libfshfs-python3 >= 20220831, libfsntfs-python3 >= 20211229, libfsxfs-python3 >= 20220829, libfvde-python3 >= 20220121, libfwnt-python3 >= 20210717, libluksde-python3 >= 20220121, libmodi-python3 >= 20210405, libphdi-python3 >= 20220228, libqcow-python3 >= 20201213, libregf-python3 >= 20201002, libsigscan-python3 >= 20230109, libsmdev-python3 >= 20140529, libsmraw-python3 >= 20140612, libvhdi-python3 >= 20201014, libvmdk-python3 >= 20140421, libvsapm-python3 >= 20230506, libvsgpt-python3 >= 20211115, libvshadow-python3 >= 20160109, libvslvm-python3 >= 20160109, python3-artifacts >= 20220219, python3-cffi >= 1.9.1, python3-dfdatetime >= 20221112, python3-dfvfs >= 20240115, python3-dfwinreg >= 20240229, python3-dtfabric >= 20230518, python3-idna >= 2.5, python3-pytsk3 >= 20210419, python3-pyyaml >= 3.10, python3-xattr >= 0.7.2
Summary: Python 3 module of Storage media image tools

%description -n python3-%{name}
Collection of tools to process storage media images.

%package -n %{name}-tools
Requires: python3-dfimagetools >= %{version}
Summary: Tools for Storage media image tools

%description -n %{name}-tools
Collection of tools to process storage media images.

%generate_buildrequires
%pyproject_buildrequires -R

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/dfimagetools
%{python3_sitelib}/dfimagetools*.dist-info

%files -n %{name}-tools
%{_bindir}/*

%changelog
* Sat Aug 31 2024 log2timeline development team <log2timeline-dev@googlegroups.com> 20240317-1
- Auto-generated
